JUnitResultFormatter (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.junit.JUnitResultFormatter interface

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.junit
Interface JUnitResultFormatter

All Superinterfaces:
  junit.framework.TestListener

All Known Implementing Classes:
  BriefJUnitResultFormatter, PlainJUnitResultFormatter, SummaryJUnitResultFormatter, XMLJUnitResultFormatter

public interface JUnitResultFormatter
extends junit.framework.TestListener

This Interface describes classes that format the results of a JUnit testrun.

Author:
  Stefan Bodewig

Method Summary
`void` | `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` | `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` | `setSystemError(java.lang.String err)` This is what the test has written to System.err
`void` | `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
`void` | `startTestSuite(JUnitTest suite)` The whole testsuite started.

Methods inherited from interface junit.framework.TestListener
`addError, addFailure, endTest, startTest`

Method Detail

### startTestSuite

    public void startTestSuite(JUnitTest suite)
                        throws BuildException

  The whole testsuite started.

  Throws:
    `BuildException`

### endTestSuite

    public void endTestSuite(JUnitTest suite)
                      throws BuildException

  The whole testsuite ended.

  Throws:
    `BuildException`

### setOutput

    public void setOutput(java.io.OutputStream out)

  Sets the stream the formatter is supposed to write its results to.

### setSystemOutput

    public void setSystemOutput(java.lang.String out)

  This is what the test has written to System.out

### setSystemError

    public void setSystemError(java.lang.String err)

  This is what the test has written to System.err

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.